package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.CreditRating;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.CreditRatingMapper")
public interface CreditRatingMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(CreditRating record);

    CreditRating selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CreditRating record);

    List<CreditRating> queryAllCreditRating(CreditRating record);

    List<CreditRating> queryCreditRatingByPage(Map<String, Object> parameter);

    int delete(CreditRating record);

    CreditRating queryCreditRating(CreditRating record);

    List<CreditRating> query(CreditRating record);
}

